/************************************************************
*
*  File:  lex.h
*
*  Contents: Definitions for lexical analyzer for reading
*            data files.
*/

/* token values; single characters are themselves */
/* Tokens not part of expressions have negative values to act
   as end-of-input for yacc.
*/

#define  WULFF_         -257
#define  PERIODS_       -256
#define  BOUNDARY_      -255
#define  DIFFUSION_     -253
#define  TORUS_         -252
#define  TORUS_FILLED_  -251
#define  STRING_        -250
#define  SOAPFILM_      -249
#define  QUADRATIC_     -248
#define  MEAN_CURV_     -247
#define  JIGGLE_        -246
#define  ENVECT_        -245
#define  CONVECT_       -244
#define  MERITFACTOR_   -243
#define  GRAV_CONST_    -242
#define  SPRING_CONSTANT_ -241
#define  SCALE_           -240
#define  TEMPERATURE_     -239
#define  FACES_           -237
#define  CONVEX_          -230
#define  NONNEGATIVE_     -229
#define  NONPOSITIVE_     -228
#define  PARAMETERS_      -227
#define  ENERGY_          -226
#define  NODISPLAY_       -223
#define  CONTENT_         -222
#define  FUNCTION_        -221
#define  BCOORD_          -219
#define  GLOBAL_          -217
#define  SURFACE_ENERGY_  -216
#define  SYMMETRIC_CONTENT_ -215
#define  SCALE_LIMIT_     -214
#define  LINEAR_          -213
#define  CONSTRAINT_TOLERANCE_ -211
#define  ZOOM_VERTEX_     -210
#define  ZOOM_RADIUS_     -209
#define  QUANTITY_        -208
#define  VOLCONST_        -207
#define  QVECT_           -206
#define  SPACE_DIMENSION_ -205
#define  SURFACE_DIMENSION_ -204
#define  SIMPLEX_REP_     -203
#define  METRIC_          -202
#define  SYMMETRY_GROUP_  -201
#define  WRAP_            -200
#define  UNKNOWN          -199
#define  CONFORMAL_       -198
#define  SQUARE_CURVATURE_ -197
#define  PARAMETER_FILE_   -196
#define  AUTOPOP_          -195
#define  AUTOCHOP_         -194
#define  EFFECTIVE_AREA_   -193
#define  RUNGE_KUTTA_      -192
#define  TOTAL_TIME_       -191
#define  PHASEFILE_        -190
#define  PHASE_            -189
#define  APPROX_CURV_      -188

